extends Control

var rng = RandomNumberGenerator.new()

func _on_play_pressed() -> void:
	$Play2.play()
	get_tree().change_scene_to_file("res://scenes/main.tscn")


func _on_quit_pressed() -> void:
	get_tree().quit()




func _on_timer_timeout() -> void:
	var r = rng.randf_range(0.0, 1.0)
	var g = rng.randf_range(0.0, 1.0)
	var b = rng.randf_range(0.0, 1.0)
	
	$BG.changeColor(r, g, b)
	$Ground.changeColor(r, g, b)



func _on_texture_button_pressed() -> void:
	OS.shell_open("https://linktr.ee/tohveli") 
